import json

def create_query_using_attributes_json(meta_data, query):
    query["query.author"] = meta_data["author"]
    query["query.bibliographic"] = meta_data["bibliographic"]
    query["query.title"] = meta_data["title"]


def parse_json(json_data,parser):
    query = {}
    output = []
    data = json.loads(str(json_data,"utf-8"))
    books = [data] if isinstance(data,dict) else data
    for book in books:
        create_query_using_attributes_json(book, query)
        
        identifier = parser(query)

        output.append({
            "author": query["query.author"],
            "title": query["query.title"],
            "bibliographic": query["query.bibliographic"],
        } | identifier)
        query = {}

    return output